import request from '@/utils/request'
// 获取专区列表
export function getCategoryList(blockType) {
  return request({
    url: '/cms/category',
    method: 'get',
    params: {
      blockType
    }
  })
}
// 修改专区列表
export function setCategoryList(data) {
  return request({
    url: '/cms/category/updateCategory',
    method: 'put',
    data
  })
}
// 添加专区列表
export function addCategoryList(data) {
  return request({
    url: '/cms/category/saveCategory',
    method: 'post',
    data
  })
}
// 获取专区课程列表
export function getCategoryRelation(categoryId) {
  return request({
    url: `/cms/category/categoryRelation/${categoryId}`,
    method: 'get'
  })
}
// 增加专区课程列表
export function addCategoryRelation(data) {
  return request({
    url: `/cms/category/saveCategoryRelation`,
    method: 'post',
    data
  })
}
// 修改专区课程列表
export function setCategoryRelation(data) {
  return request({
    url: `/cms/category/updateCategoryRelation`,
    method: 'put',
    data
  })
}
