import { getCourseList, addCourseList, setCourseList } from '@/api/courseList'

const state = {
  getCourseData: []
}

const mutations = {
  GET_COURSE: (state, data) => {
    state.getCourseData = data
  }
}

const actions = {
  // 获取课程表列表
  getCourseLists({ commit, state }, obj) {
    const code = obj.code ? obj.code : ''
    const status = obj.status ? obj.status : ''
    const title = obj.title ? obj.title : ''
    const pageNo = obj.page ? obj.page : ''
    return new Promise((resolve, reject) => {
      getCourseList({
        code,
        title,
        status,
        pageNo
      }).then((res) => {
        const list = res.data
        commit('GET_COURSE', list)
        resolve(list)
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 增加课程表列表
  addCourseLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      addCourseList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改课程表列表
  setCourseLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      setCourseList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

