import { getCourseWareList, addCourseWareList, setCourseWareList } from '@/api/courseWareList'

const state = {
  getCourseWareData: []
}

const mutations = {
  GET_WARE_COURSE: (state, data) => {
    state.getCourseWareData = data
  }
}

const actions = {
  // 获取课程表列表
  getCourseWareLists({ commit, state }, obj) {
    const courseId = obj.courseId ? obj.courseId : ''
    const code = obj.code ? obj.code : ''
    const title = obj.title ? obj.title : ''
    const pageNo = obj.page ? obj.page : ''
    return new Promise((resolve, reject) => {
      getCourseWareList({
        courseId,
        code,
        title,
        status,
        pageNo
      }).then((res) => {
        const list = res.data
        console.log(list)
        commit('GET_WARE_COURSE', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 增加课程表列表
  addCourseWareLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      addCourseWareList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改课程表列表
  setCourseWareLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      setCourseWareList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

