import { getBlock, getBlockRow, getRowItem, setBlockRow, addBlockRow, setRowItem, addRowItem, getTempate, setTempate } from '@/api/dashboard'

const state = {
  getBlockData: [],
  getBlockRowData: [],
  getRowItemData: [],
  getTempateData: []
}

const mutations = {
  GET_BLOCK: (state, data) => {
    state.getBlockData = data
  },
  GET_BLOCK_ROW: (state, data) => {
    state.getBlockRowData = data
  },
  GET_ROW_ITEM: (state, data) => {
    state.getRowItemData = data
  },
  GET_TEMPATE: (state, data) => {
    state.getTempateData = data
  }
}

const actions = {
  // 获取课程表列表
  getBlockList({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      getBlock().then((res) => {
        const list = res.data
        commit('GET_BLOCK', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 获取课程表行列表
  getBlockRowList({ commit, state }, obj) {
    const id = obj.id
    return new Promise((resolve, reject) => {
      getBlockRow(id).then((res) => {
        console.log(res)
        const list = res.data
        commit('GET_BLOCK_ROW', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 获取首页项列表
  getRowItemList({ commit, state }, obj) {
    const id = obj.id
    return new Promise((resolve, reject) => {
      getRowItem(id).then((res) => {
        console.log(res)
        const list = res.data
        commit('GET_ROW_ITEM', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改首页行信息
  setBlockRowList({ dispatch }, data) {
    return new Promise((resolve, reject) => {
      setBlockRow(data).then((res) => {
        console.log(res)
        // const list = res.data
        // commit('GET_BLOCK_ROW', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 增加首页行信息
  addBlockRowList({ dispatch }, data) {
    return new Promise((resolve, reject) => {
      addBlockRow(data).then((res) => {
        console.log(res)
        // const list = res.data
        // commit('GET_BLOCK_ROW', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改首页项
  setRowItemList({ commit, state }, data) {
    return new Promise((resolve, reject) => {
      setRowItem(data).then((res) => {
        console.log(res)
        // const list = res.data
        // commit('GET_ROW_ITEM', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 增加首页项
  addRowItemList({ commit, state }, data) {
    return new Promise((resolve, reject) => {
      addRowItem(data).then((res) => {
        console.log(res)
        // const list = res.data
        // commit('GET_ROW_ITEM', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 获取课程表模板
  getTempateList({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      getTempate().then((res) => {
        const list = res.data
        commit('GET_TEMPATE', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改课程表模板
  setTempateList({ dispatch }, data) {
    return new Promise((resolve, reject) => {
      setTempate(data).then((res) => {
        // const list = res.data
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

