import { getMember, getMemberOrder, getMemberAuth, setMemberAuth } from '@/api/memberList'

const state = {
  getMemberData: [],
  getMemberOrderData: [],
  getMemberOrderDataLength: 0,
  getMemberAuthData: []
}

const mutations = {
  GET_MEMBER: (state, data) => {
    state.getMemberData = data
  },
  GET_MEMBER_ORDER: (state, data) => {
    state.getMemberOrderData = data
  },
  MEMBER_ORDER_LENGTH: (state, length) => {
    state.getMemberOrderDataLength = length
  },
  GET_MEMBER_AUTH: (state, data) => {
    state.getMemberAuthData = data
  }
}

const actions = {
  // 获取课程表列表
  getMemberList({ commit, state }, obj) {
    console.log(obj.page)
    const pageNum = obj.page ? obj.page : 1
    const { eid, mobileNo, nickName } = obj
    return new Promise((resolve, reject) => {
      getMember({
        eid,
        mobileNo,
        nickName,
        pageNum,
        pageSize: 10
      }).then((res) => {
        const data = res.data
        commit('GET_MEMBER', data)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  getMemberOrderList({ commit, state }, obj) {
    const pageNum = obj.page ? (obj.page - 1) * 10 : 1
    const { uid, productName, productVersion } = obj
    return new Promise((resolve, reject) => {
      getMemberOrder({
        uid,
        productName,
        productVersion
      }).then((res) => {
        const data = res.data
        commit('MEMBER_ORDER_LENGTH', data.length)
        commit('GET_MEMBER_ORDER', data.splice(pageNum, 10))
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  getMemberAuthList({ commit, state }, obj) {
    console.log(obj.page)
    // const pageNum = obj.page ? obj.page : 1
    const { uid, productName } = obj
    return new Promise((resolve, reject) => {
      getMemberAuth({
        uid,
        productName
      }).then((res) => {
        const data = res.data
        commit('GET_MEMBER_AUTH', data)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  setMemberAuthList({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      setMemberAuth(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

