import { getTopicList, addTopicList, setTopicList, getTopicRelation, addTopicRelation, setTopicRelation } from '@/api/topicList'

const state = {
  getTopicData: [],
  getRelationData: []
}

const mutations = {
  GET_TOPIC: (state, data) => {
    state.getTopicData = data
  },
  GET_TOPIC_RELATION: (state, data) => {
    state.getRelationData = data
  }
}

const actions = {
  // 获取课程表列表
  getTopicLists({ commit, state }, obj) {
    const code = obj.code ? obj.code : ''
    const status = obj.status ? obj.status : ''
    const pageNo = obj.page ? obj.page : ''
    return new Promise((resolve, reject) => {
      getTopicList({
        code,
        status,
        pageNo
      }).then((res) => {
        const list = res.data
        commit('GET_TOPIC', list)
        resolve(list)
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 新增课程表列表
  addTopicLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      addTopicList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改课程表列表
  setTopicLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      setTopicList(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 获取专区课件
  getTopicRelationLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      getTopicRelation({
        topicId: obj.topicId
      }).then((res) => {
        const list = res.data
        commit('GET_TOPIC_RELATION', list)
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 添加专区课件
  addTopicRelationLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      addTopicRelation(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  },
  // 修改专区课件
  setTopicRelationLists({ commit, state }, obj) {
    return new Promise((resolve, reject) => {
      setTopicRelation(obj).then((res) => {
        resolve()
      }).catch(error => {
        reject(error)
      })
    })
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

